# FlexMetalTags

FlexMetal tags can be assigned to FlexMetal servers to administratively group them together and use them for filtering.

## GET /v3/flexMetal/tags

> Get all your FlexMetal tags

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalTags","description":"FlexMetal tags can be assigned to FlexMetal servers to administratively group them together and use them for filtering."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FlexMetalTag":{"type":"object","required":["tag","resources"],"properties":{"tag":{"type":"string","format":"","description":"The tag name"},"resources":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagSummary"}],"description":"A list of resources that use this tag","readOnly":true}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagSummary":{"type":"object","required":["count","flexMetalServers"],"properties":{"count":{"type":"integer","format":"integer","description":"The total number of resources that use this tag"},"flexMetalServers":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagResourceUsage"}],"description":"A summary of tag usage for the FlexMetalServer resource type"}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagResourceUsage":{"type":"object","required":["count"],"properties":{"count":{"type":"integer","format":"integer","description":"The amount of resources of this type that use this tag."}},"additionalProperties":false,"description":"Tag resource usage"},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/tags":{"get":{"tags":["FlexMetalTags"],"summary":"Get all your FlexMetal tags","operationId":"getFlexMetalTags","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"List of tags","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalTag"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/flexMetal/tags

> Create a FlexMetal tag

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalTags","description":"FlexMetal tags can be assigned to FlexMetal servers to administratively group them together and use them for filtering."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FlexMetalTag":{"type":"object","required":["tag","resources"],"properties":{"tag":{"type":"string","format":"","description":"The tag name"},"resources":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagSummary"}],"description":"A list of resources that use this tag","readOnly":true}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagSummary":{"type":"object","required":["count","flexMetalServers"],"properties":{"count":{"type":"integer","format":"integer","description":"The total number of resources that use this tag"},"flexMetalServers":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagResourceUsage"}],"description":"A summary of tag usage for the FlexMetalServer resource type"}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagResourceUsage":{"type":"object","required":["count"],"properties":{"count":{"type":"integer","format":"integer","description":"The amount of resources of this type that use this tag."}},"additionalProperties":false,"description":"Tag resource usage"},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/tags":{"post":{"tags":["FlexMetalTags"],"summary":"Create a FlexMetal tag","operationId":"createFlexMetalTag","requestBody":{"description":"Tag creation request model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlexMetalTag"}}},"required":true},"responses":{"200":{"description":"The new tag","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalTag"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable content"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/flexMetal/tags/{tag}

> Get a tag by name

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalTags","description":"FlexMetal tags can be assigned to FlexMetal servers to administratively group them together and use them for filtering."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FlexMetalTag":{"type":"object","required":["tag","resources"],"properties":{"tag":{"type":"string","format":"","description":"The tag name"},"resources":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagSummary"}],"description":"A list of resources that use this tag","readOnly":true}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagSummary":{"type":"object","required":["count","flexMetalServers"],"properties":{"count":{"type":"integer","format":"integer","description":"The total number of resources that use this tag"},"flexMetalServers":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagResourceUsage"}],"description":"A summary of tag usage for the FlexMetalServer resource type"}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagResourceUsage":{"type":"object","required":["count"],"properties":{"count":{"type":"integer","format":"integer","description":"The amount of resources of this type that use this tag."}},"additionalProperties":false,"description":"Tag resource usage"},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/tags/{tag}":{"get":{"tags":["FlexMetalTags"],"summary":"Get a tag by name","operationId":"getFlexMetalTag","responses":{"200":{"description":"List of tags","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalTag"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Resource not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/flexMetal/tags/{tag}

> Rename a FlexMetal tag

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalTags","description":"FlexMetal tags can be assigned to FlexMetal servers to administratively group them together and use them for filtering."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"FlexMetalTag":{"type":"object","required":["tag","resources"],"properties":{"tag":{"type":"string","format":"","description":"The tag name"},"resources":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagSummary"}],"description":"A list of resources that use this tag","readOnly":true}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagSummary":{"type":"object","required":["count","flexMetalServers"],"properties":{"count":{"type":"integer","format":"integer","description":"The total number of resources that use this tag"},"flexMetalServers":{"allOf":[{"$ref":"#/components/schemas/FlexMetalTagResourceUsage"}],"description":"A summary of tag usage for the FlexMetalServer resource type"}},"additionalProperties":false,"description":"A Flex Metal tag"},"FlexMetalTagResourceUsage":{"type":"object","required":["count"],"properties":{"count":{"type":"integer","format":"integer","description":"The amount of resources of this type that use this tag."}},"additionalProperties":false,"description":"Tag resource usage"},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/tags/{tag}":{"put":{"tags":["FlexMetalTags"],"summary":"Rename a FlexMetal tag","operationId":"updateFlexMetalTag","requestBody":{"description":"Tag model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlexMetalTag"}}},"required":true},"responses":{"200":{"description":"The updated tag model","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FlexMetalTag"}}}}},"403":{"description":"Invalid credentials"},"404":{"description":"Resource not found"},"409":{"description":"New tag name already exists"},"422":{"description":"Unprocessable content"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/flexMetal/tags/{tag}

> Delete a FlexMetal tag

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"FlexMetalTags","description":"FlexMetal tags can be assigned to FlexMetal servers to administratively group them together and use them for filtering."}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/flexMetal/tags/{tag}":{"delete":{"tags":["FlexMetalTags"],"summary":"Delete a FlexMetal tag","operationId":"deleteFlexMetalTag","responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Resource not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/flexmetaltags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
